program growth
  implicit none
  real :: x,x1,y,y1,eps,a
  
  x=0.5
  eps=0.00001
  
  do 
     y=-4*x / sinh(2*x)**2 - 2*x + 2*cosh(2*x)/sinh(2*x)
     y1=-8/sinh(x)**2 + 16*x*cosh(2*x)/sinh(2*x)**3 - 2
     x1=-y/y1 + x
     if (abs(y) .lt. eps) then
        x=x1
        y=1 / tanh(x) - x
        exit
     else
        x=x1
     end if
  end do
  
  a=sqrt((1/tanh(x) - x)*(x - tanh(x)))
  write (*,*) a, x*2
end program growth
